man(8)

NAME
toxiproxy-cli - simulate network and system conditions

SYNOPSIS
toxiproxy-cli [global options] command [command options] [arguments...]

DESCRIPTION
Toxiproxy is a framework for simulating network conditions. It's made specifically to work in testing, CI and development environments, supporting deterministic tampering with connections, but with support for randomized chaos and customization.

GLOBAL OPTIONS

--help, -h
    show help

--version, -v
    print the version

COMMANDS

list, l, li, ls
    list all proxies

inspect, i, ins
    inspect a single proxy

create, c, new
    create a new proxy

toggle, tog
    toggle enabled status on a proxy

delete, d
    delete a proxy

toxic, t
    add, remove or update a toxic

help, h
    Shows a list of commands or help for one command

AUTHOR
Alexandre Viau (aviau@debian.org)